Skip to main content
GET
/
files
/
{id}
/
download
Download file via pre-signed URL
curl --request GET \
  --url https://api.blink.store/v1/files/{id}/download \
  --header 'x-store-id: <api-key>'
import requests

url = "https://api.blink.store/v1/files/{id}/download"

headers = {"x-store-id": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};

fetch('https://api.blink.store/v1/files/{id}/download', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "file_id": "<string>",
    "title": "<string>",
    "url": "<string>",
    "expires_in": 123,
    "expires_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-store-id
string
header
required

Path Parameters

id
string
required

ID of the file deliverable.

Query Parameters

expires_in
integer

Time in seconds for URL to remain valid, maximum 86400 seconds (24 hours).

Response

200 - application/json

URL to access the file provided.

data
object